pod install Journey.xcodeproj #181

Closed
ooking opened this Issue Mar 20, 2012 · 13 comments

Projects

None yet

3 participants

@ooking
ooking commented Mar 20, 2012

pod install --verbose Journey.xcodeproj

Oh no, an error occurred. Please run with `--verbose' and report on https://github.com/CocoaPods/CocoaPods/issues.

compile error
/Users/king/Developer/oProject/Journey/Podfile:8: syntax error, unexpected ':', expecting $end
target :test, exclusive: true do
^
/Users/king/Developer/oProject/Journey/Podfile:8:in from_file' /Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/lib/cocoapods/podfile.rb:44:ineval'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/lib/cocoapods/podfile.rb:33:in from_file' /Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/lib/cocoapods/podfile.rb:44:ininstance_eval'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/lib/cocoapods/podfile.rb:44:in initialize' /Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/lib/cocoapods/podfile.rb:32:innew'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/lib/cocoapods/podfile.rb:32:in from_file' /Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/lib/cocoapods/config.rb:52:inrootspec'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/lib/cocoapods/command/install.rb:34:in run' /Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/lib/cocoapods/command.rb:53:inrun'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/bin/pod:11
/usr/bin/pod:19:in `load'
/usr/bin/pod:19

what's something worng?

@subdigital
Contributor

Can you post your Podfile?

On Mar 20, 2012, at 9:06 AM, ooking wrote:

pod install --verbose Journey.xcodeproj

Oh no, an error occurred. Please run with `--verbose' and report on https://github.com/CocoaPods/CocoaPods/issues.

compile error
/Users/king/Developer/oProject/Journey/Podfile:8: syntax error, unexpected ':', expecting $end
target :test, exclusive: true do
^
/Users/king/Developer/oProject/Journey/Podfile:8:in from_file' /Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/lib/cocoapods/podfile.rb:44:ineval'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/lib/cocoapods/podfile.rb:33:in from_file' /Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/lib/cocoapods/podfile.rb:44:ininstance_eval'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/lib/cocoapods/podfile.rb:44:in initialize' /Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/lib/cocoapods/podfile.rb:32:innew'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/lib/cocoapods/podfile.rb:32:in from_file' /Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/lib/cocoapods/config.rb:52:inrootspec'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/lib/cocoapods/command/install.rb:34:in run' /Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/lib/cocoapods/command.rb:53:inrun'
/Library/Ruby/Gems/1.8/gems/cocoapods-0.5.1/bin/pod:11
/usr/bin/pod:19:in `load'
/usr/bin/pod:19

what's something worng?


Reply to this email directly or view it on GitHub:
#181

@ooking
ooking commented Mar 20, 2012

platform :osx

dependency 'ASIHTTPRequest', '> 1.8.1'
dependency 'ConciseKit', '
> 0.1.1'
dependency 'SSKeychain', '> 0.1.2'
dependency 'SBJson', '
> 3.0.4'

target :test, exclusive: true do
dependency 'Specta', '> 0.1.4'
dependency 'Expecta', '
> 0.1.3'
dependency 'OCMock', '> 1.77.1'
dependency 'OCHamcrest', '
> 1.6'
end

post_install do |installer|
installer.project.targets.each do |target|
target.buildConfigurations.each do |config|
config.buildSettings['ARCHS'] = '$(ARCHS_STANDARD_32_64_BIT)'
config.buildSettings['MACOSX_DEPLOYMENT_TARGET'] = '10.6'
config.buildSettings['GCC_ENABLE_OBJC_GC'] = 'supported'
end
end
end

@subdigital
Contributor

Are you running ruby 1.9.x?

On Mar 20, 2012, at 9:15 AM, ooking wrote:

platform :osx

dependency 'ASIHTTPRequest', '> 1.8.1'
dependency 'ConciseKit', '
> 0.1.1'
dependency 'SSKeychain', '> 0.1.2'
dependency 'SBJson', '
> 3.0.4'

target :test, exclusive: true do
dependency 'Specta', '> 0.1.4'
dependency 'Expecta', '
> 0.1.3'
dependency 'OCMock', '> 1.77.1'
dependency 'OCHamcrest', '
> 1.6'
end

post_install do |installer|
installer.project.targets.each do |target|
target.buildConfigurations.each do |config|
config.buildSettings['ARCHS'] = '$(ARCHS_STANDARD_32_64_BIT)'
config.buildSettings['MACOSX_DEPLOYMENT_TARGET'] = '10.6'
config.buildSettings['GCC_ENABLE_OBJC_GC'] = 'supported'
end
end
end


Reply to this email directly or view it on GitHub:
#181 (comment)

@ooking
ooking commented Mar 20, 2012

how to know the ruby version?

@ooking
ooking commented Mar 20, 2012

ruby -v
ruby 1.8.7 (2010-01-10 patchlevel 249) [universal-darwin11.0]

@subdigital
Contributor

ruby -v

On Mar 20, 2012, at 9:22 AM, ooking wrote:

how to know the ruby version?


Reply to this email directly or view it on GitHub:
#181 (comment)

@subdigital
Contributor

So that's why. Your Podfile is using the 1.9 style of hashes:

# 1.9 style
foo: "bar", baz: "quux"

# 1.8 style
:foo => "bar", :baz => "quux"

The 1.8 style hashes are still valid in 1.9, so you can just switch to that (or install ruby 1.9.3)

On Mar 20, 2012, at 9:24 AM, ooking wrote:

ruby -v
ruby 1.8.7 (2010-01-10 patchlevel 249) [universal-darwin11.0]


Reply to this email directly or view it on GitHub:
#181 (comment)

@ooking
ooking commented Mar 20, 2012

i am not a ruby developer. can you help me modify the podfile?

@subdigital
Contributor

Change target :test, exclusive: true do to target :test, :exclusive => true do

On Mar 20, 2012, at 9:35 AM, ooking wrote:

i am not a ruby developer. can you help me modify the podfile? p


Reply to this email directly or view it on GitHub:
#181 (comment)

@ooking
ooking commented Mar 20, 2012

No such file or directory - /Users/king/.cocoapods

@subdigital
Contributor

Did you run pod setup ?

On Mar 20, 2012, at 9:43 AM, ooking wrote:

No such file or directory - /Users/king/.cocoapods


Reply to this email directly or view it on GitHub:
#181 (comment)

@ooking
ooking commented Mar 20, 2012

that's great! install successful! thank you verymuch

@subdigital
Contributor

You're welcome :)

On Mar 20, 2012, at 9:54 AM, ooking wrote:

that's great! install successful! thank you verymuch


Reply to this email directly or view it on GitHub:
#181 (comment)

@yas375 yas375 closed this Mar 20, 2012
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment